import { InjectionToken, Provider } from '@angular/core';
/**
 * Injection Token to safely inject
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Window/sessionStorage} to Angular DI
 */
export declare const SESSION_STORAGE_TOKEN: InjectionToken<Storage | undefined>;
/**
 * Injection Token to safely inject
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Window/localStorage} to Angular DI
 */
export declare const LOCAL_STORAGE_TOKEN: InjectionToken<Storage | undefined>;
/**
 * Injection Token to inject custom storage approach for persistence; must implement
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Storage} interface
 */
export declare const FORMS_MANAGER_STORAGE: InjectionToken<Storage>;
/**
 * Value provider that injects usage of
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/Window/sessionStorage} for persistence
 */
export declare const FORMS_MANAGER_SESSION_STORAGE_PROVIDER: Provider;
